This is the new website of TheAlternative, available at https://thealternative.ethz.ch.

[[_TOC_]]

## For Board Members

All content of the webpage is found in the `content/` folder. Specifically, the following files exist:

- `about.json`: This json file contains everyting in the "About Us" Section (except board members).
- `board.json`: This json file contains everything for the board listing.

<div class="panel panel-info">
**IMPORTANT**
{: .panel-heading}
<div class="panel-body">
All images referenced in `board.json` will have to be saved to `public/images`. Else, the website will display the theAlt logo instead.
</div>
</div>

- `eventTemplates.json`: When creating an Event, it is possible to select a template (e.g. descriptions, start/end time, place, etc.). These templates are stored in this file.
- `philosophy.json`: This file contains everyting in the definitions section at the bottom.
- `texts.json`: This file is the text in the main header.

## Deployment

```mermaid
graph TD;
  GitLab dev-->TeamCity dev-->thealt-apps/website-dev-->thealt-staging/website;
  GitLab main-->TeamCity main-->thealt-apps/website-->thealt-prod/website;
```

## Architecture

### Authentication / Authorization

### Translation

### 
