import { PrismaClient } from "@prisma/client";

let prisma;

/* eslint-disable */
// declare global {
//   var prisma;
// }
/* eslint-enable */

if (process.env.NODE_ENV === "production") {
  prisma = new PrismaClient();
} else {
  if (!global.prisma) {
    global.prisma = new PrismaClient();
  }
  prisma = global.prisma;
}
export default prisma;

